io.vertx.ext.reactivestreams

## Interface ReactiveReadStream<T>

- All Superinterfaces:
    ReadStream<T>, StreamBase, org.reactivestreams.Subscriber<T>

      public interface ReactiveReadStream<T>
      extends ReadStream<T>, org.reactivestreams.Subscriber<T>

  A Vert.x read stream that also implements reactive streams subscriber interface.
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_BATCH_SIZE` Default batch size

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReactiveReadStream<T>` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `ReactiveReadStream<T>` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `ReactiveReadStream<T>` | `handler(Handler<T> handler)` Set a data handler.
    `ReactiveReadStream<T>` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `static <T> ReactiveReadStream<T>` | `readStream()` Create a reactive read stream
    `static <T> ReactiveReadStream<T>` | `readStream(long batchSize)` Create a reactive read stream specifying batch size
    `ReactiveReadStream<T>` | `resume()` Resume reading, and sets the buffer in `flowing` mode.

    - ### Methods inherited from interface io.vertx.core.streams.ReadStream

      `fetch, pipe, pipeTo, pipeTo`

    - ### Methods inherited from interface org.reactivestreams.Subscriber

      `onComplete, onError, onNext, onSubscribe`

- - ### Field Detail

    - #### DEFAULT_BATCH_SIZE

          static final long DEFAULT_BATCH_SIZE

      Default batch size
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### readStream

          static <T> ReactiveReadStream<T> readStream()

      Create a reactive read stream
      Returns:
        the stream

    - #### readStream

          static <T> ReactiveReadStream<T> readStream(long batchSize)

      Create a reactive read stream specifying batch size
      Parameters:
        `batchSize` - the batch size
      Returns:
        the stream

    - #### exceptionHandler

          ReactiveReadStream<T> exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<T>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          ReactiveReadStream<T> handler(Handler<T> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          ReactiveReadStream<T> pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          ReactiveReadStream<T> resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          ReactiveReadStream<T> endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<T>`
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2020 Eclipse. All rights reserved.